Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234859 - Review Request: perl-Object-Realize-Later - Delayed creation of objects
Summary: Review Request: perl-Object-Realize-Later - Delayed creation of objects
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: perl-Mail-Box
TreeView+ depends on / blocked
 
Reported: 2007-04-02 17:02 UTC by Tom "spot" Callaway
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-09 15:39:27 UTC
panemade: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Tom "spot" Callaway 2007-04-02 17:02:19 UTC
Spec URL: http://www.auroralinux.org/people/spot/review/perl-Object-Realize-Later.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/perl-Object-Realize-Later-0.16-1.src.rpm
Description: 
This module helps you implementing delay loading of object-data.  While
creating a stub-object, Object::Realize::Later simulates you got the
real data.

Comment 1 Parag AN(पराग) 2007-04-05 04:29:18 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
c6e124d52305c1f6c7f08aeaf6bd82d4  Object-Realize-Later-0.16.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/10isa.........ok
t/20can.........ok
t/30realize.....ok
t/40autoload....ok
t/41autoload....ok
t/50again.......ok
t/60module......ok
All tests successful.
Files=7, Tests=109,  0 wallclock secs ( 0.24 cusr +  0.07 csys =  0.31 CPU)
+ Provides: perl(Object::Realize::Later) = 0.16

APPROVED.


Comment 2 Tom "spot" Callaway 2007-04-09 14:14:06 UTC
New Package CVS Request
=======================
Package Name: perl-Object-Realize-Later
Short Description: Delayed creation of objects
Owners: tcallawa@redhat.com
Branches: FC-5 FC-6
InitialCC: fedora-perl-devel-list@redhat.com

Comment 3 Tom "spot" Callaway 2007-04-09 15:39:27 UTC
Built.


Note You need to log in before you can comment on or make changes to this bug.